using System.Text.Json.Serialization;
using System.Collections.Generic;
using Topsdk.Util;

namespace Topsdk.Top.Ability370.Domain;

public class TaobaoTbkDgMaterialTemporaryOptionalUcrowdrankitems
{

    /*
        物料评估-商品佣金率，如：1234表示12.34%，material_id=41377时选填
    */
    private long? commirate;


    /*
        物料评估-商品价格，单位：元，material_id=41377时选填
    */
    private string? price;


    /*
        物料评估-商品ID，material_id=41377时必填
    */
    private string? itemId;



    [JsonPropertyName("commirate")]
    public long? Commirate
    {
        get => commirate;
        set => this.commirate = value;
    }

    [JsonPropertyName("price")]
    public string? Price
    {
        get => price;
        set => this.price = value;
    }

    [JsonPropertyName("item_id")]
    public string? ItemId
    {
        get => itemId;
        set => this.itemId = value;
    }

}

